Grants, vesting & distributions

Get Or Create Distribution Settings

Returns the org's distribution settings, creating defaults when none exist.

GEThttps://api.toku.com/tga/get-or-create-distribution-settings

Not available to API keys yet. It will need grants:write.

curl --request GET \
  --url 'https://api.toku.com/tga/get-or-create-distribution-settings?orgID=%3CorgID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "distributionSettingsID": "string",
  "orgID": "string",
  "fmvMode": "SPOT_PRICE",
  "varianceThresholdPercent": 0,
  "createdAt": "string",
  "updatedAt": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

orgIDstring<uuid>required

Response

200Successful response
distributionSettingsIDstringrequired
orgIDstringrequired
fmvModestringrequired

Available options: SPOT_PRICE, PRIOR_DAY_CLOSE

varianceThresholdPercentnumberrequired
createdAtstringrequired
updatedAtstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits